Description

teuthology task that will:

download workunit vm

create and format rbd image

mount, stage a workunit in rbd, umount

boot the vm to run the workunit

mount, verify results, umount

clean up

This will need to specify LD_LIBRARY_PATH that includes the /tmp/cephtest librbd, and not the installed version.

History

#1 - 06/13/2012 09:21 AM - Sage Weil

- Subject changed from teuthology: task to run workunits in a vm to teuthology: task to run rbd workunits in a vm

- Description updated

- Category set to teuthology

#2 - 06/13/2012 09:26 AM - Sage Weil

- Description updated

#3 - 06/13/2012 09:27 AM - Sage Weil

- translation missing: en.field_position deleted (3)

- translation missing: en.field_position set to 15

#4 - 06/13/2012 03:04 PM - Sage Weil

- translation missing: en.field_story_points set to 5

- translation missing: en.field_position deleted (23)

- translation missing: en.field_position set to 23

#5 - 06/13/2012 03:06 PM - Sage Weil

- Target version set to v0.49

- translation missing: en.field_position deleted (23)

- translation missing: en.field_position set to 1313

#6 - 06/13/2012 03:20 PM - Sage Weil

- translation missing: en.field_story_points changed from 5 to 8

- translation missing: en.field_position deleted (1314)
- translation missing: en.field_position set to 1314

#7 - 06/13/2012 03:30 PM - Josh Durgin

- Assignee set to Josh Durgin

#8 - 06/21/2012 06:55 PM - Josh Durgin

- Status changed from New to Duplicate

Same as #1713.

#9 - 06/29/2012 09:53 AM - Sage Weil

- Project changed from Ceph to rbd

- Category deleted (teuthology)

- Target version deleted (v0.49)

#10 - 06/29/2012 09:54 AM - Sage Weil

- Target version set to v0.49
